import typescript from 'rollup-plugin-typescript2'

const FILENAME = 'dist/vue-swr'

export default {
  input: 'lib/index.ts',
  output: [
    {
      file: `${FILENAME}.umd.js`,
      name: 'VueSWR',
      format: 'umd',
      sourcemap: true
    },
    {
      file: `${FILENAME}.es.js`,
      format: 'es',
      sourcemap: true
    }
  ],
  plugins: [typescript()]
}
